[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[Subclipse-users] eclipse 3.4RC3 crash with plugin

From: Eelco Meuter <eelco.meuter_at_wur.nl>
Date: Fri, 13 Jun 2008 09:11:59 +0200

Hello,

I recently upgraded to eclipse 3.4RC3 under Ubuntu 8.04 64-bit. All
works well upto the moment I install the latest subclipse plugin from
http://subclipse.tigris.org/update_1.2.x. Eclipse will crash when
editing, saving or deleting files and the JVM will report the following
error :
org.eclipse.core.internal.dtree.DataTreeNode.forwardDeltaWith([Lorg/eclipse/core/internal/dtree/AbstractDataTreeNode;[Lorg/eclipse/core/internal/dtree/AbstractDataTreeNode;Lorg/eclipse/core/internal/dtree/IComparator;)[Lorg/eclipse/core/internal/dtree/AbstractDataTreeNode; (469 bytes)
vm_info: Java HotSpot(TM) 64-Bit Server VM (10.0-b22) for linux-amd64
JRE
(1.6.0_06-b02), built on Mar 25 2008 01:03:02 by "java_re" with gcc 3.2.2 (SuSE
Linux)

I reported this as a Eclipse bug and they reported back that this is a
JVM bug (see https://bugs.eclipse.org/bugs/show_bug.cgi?id=229645). I
was not convinced and the suggested work around did not work that well.

After a re-installation with a new workspace of Eclipse 3.4RC3 the
problem disappeared until I installed subclipse. It seems reasonable to
suspect the problem is caused by this plug in.

Hopefully you may be able to solve this bug or provide me with a work
around.

Thanks,

Eelco

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe_at_subclipse.tigris.org
For additional commands, e-mail: users-help_at_subclipse.tigris.org
Received on 2008-06-13 13:34:29 CEST

This is an archived mail posted to the Subclipse Users mailing list.